Spam with accounts

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Spam with accounts

Benjamí Villoslada
Hello,

Only users have edit rights in my wiki, but this week I've received a lot of
spam from new accounts.  Is the most annoying spam: revert, change passwords
and see a lot of strange accounts in the users list. I can delete it? --the
documentation says «Do not remove users from the user table in the mySQL
database; this causes problems with other parts of the wiki due to the
relational structure of the database.»

But I've seen the captcha tool in the mediawiki create account page.  For this
reason I've upgraded from 1.4 to the last version 1.5.7, but I don't see the
captcha in my new MediaWiki.  Anyone knows how to locate and insall this
captcha for the new account creation page?  In the FAQ page says «There is no
other way with the current software»

Thanks!


--
Benjamí
http://blog.bitassa.cat



.
_______________________________________________
MediaWiki-l mailing list
[hidden email]
http://mail.wikipedia.org/mailman/listinfo/mediawiki-l
Reply | Threaded
Open this post in threaded view
|

Re: Spam with accounts

Rob Church
Install the ConfirmEdit extension, add in the FancyCaptcha add-on to
it, and read the documentation on getting it all set up. I *suspect*
however, that the extension is going to require 1.6 for some of the
hooks.


Rob Church

On 09/03/06, Benjamí Villoslada <[hidden email]> wrote:

> Hello,
>
> Only users have edit rights in my wiki, but this week I've received a lot of
> spam from new accounts.  Is the most annoying spam: revert, change passwords
> and see a lot of strange accounts in the users list. I can delete it? --the
> documentation says «Do not remove users from the user table in the mySQL
> database; this causes problems with other parts of the wiki due to the
> relational structure of the database.»
>
> But I've seen the captcha tool in the mediawiki create account page.  For this
> reason I've upgraded from 1.4 to the last version 1.5.7, but I don't see the
> captcha in my new MediaWiki.  Anyone knows how to locate and insall this
> captcha for the new account creation page?  In the FAQ page says «There is no
> other way with the current software»
>
> Thanks!
>
>
> --
> Benjamí
> http://blog.bitassa.cat
>
>
>
> .
> _______________________________________________
> MediaWiki-l mailing list
> [hidden email]
> http://mail.wikipedia.org/mailman/listinfo/mediawiki-l
>
_______________________________________________
MediaWiki-l mailing list
[hidden email]
http://mail.wikipedia.org/mailman/listinfo/mediawiki-l
Reply | Threaded
Open this post in threaded view
|

Re: Spam with accounts

Benjamí Villoslada
El Dijous, 9 de Març de 2006 19:32, Rob Church va escriure:
> Install the ConfirmEdit extension, add in the FancyCaptcha add-on to
> it, and read the documentation on getting it all set up. I *suspect*
> however, that the extension is going to require 1.6 for some of the
> hooks.

Before my message I've tried the ConfirmEdit extension.  Is best one captcha
in the new account step, but is more than nothing.  I've added a line with
include pointing to the main confirmedit php file in LocalSettints.php, but
ConfirmEdit doesn't works (without errors).  Maybe I need more experience
with extensions, I've seen this:
http://meta.wikimedia.org/wiki/Extending_wiki_markup#Installing_the_extension

--
Benjamí
http://blog.bitassa.cat



.
_______________________________________________
MediaWiki-l mailing list
[hidden email]
http://mail.wikipedia.org/mailman/listinfo/mediawiki-l
Reply | Threaded
Open this post in threaded view
|

Re: Spam with accounts

Rob Church
Read the ConfirmEdit.php file itself; it's documented all over the
place with comments. As I said, it's possible the extension requires
some of the hooks present in 1.6, so it might not work with 1.5
branch; it certainly needs 1.6 hooks for the user account creation
captcha.


Rob Church

On 10/03/06, Benjamí Villoslada <[hidden email]> wrote:

> El Dijous, 9 de Març de 2006 19:32, Rob Church va escriure:
> > Install the ConfirmEdit extension, add in the FancyCaptcha add-on to
> > it, and read the documentation on getting it all set up. I *suspect*
> > however, that the extension is going to require 1.6 for some of the
> > hooks.
>
> Before my message I've tried the ConfirmEdit extension.  Is best one captcha
> in the new account step, but is more than nothing.  I've added a line with
> include pointing to the main confirmedit php file in LocalSettints.php, but
> ConfirmEdit doesn't works (without errors).  Maybe I need more experience
> with extensions, I've seen this:
> http://meta.wikimedia.org/wiki/Extending_wiki_markup#Installing_the_extension
>
> --
> Benjamí
> http://blog.bitassa.cat
>
>
>
> .
> _______________________________________________
> MediaWiki-l mailing list
> [hidden email]
> http://mail.wikipedia.org/mailman/listinfo/mediawiki-l
>
_______________________________________________
MediaWiki-l mailing list
[hidden email]
http://mail.wikipedia.org/mailman/listinfo/mediawiki-l